#include <stdio.h>
#define maxdim 100

float indeks_minimuma(float a[],int n);
float indeks_maksimuma(float a[],int n);

int main(){
	float a[maxdim];
	int n,i, min, max;
	printf("Unesite dimenziju niza:\n");
	scanf("%d",&n);

	if(n<=0 || n>maxdim){
		printf("Izlaz: \n -1\n");
		return 0;
	}
	else {
		printf("Uneti niz:\n");
		for(i=0;i<n;i++){
			scanf("%f",&a[i]);
		}
        min = indeks_minimuma(a,n);
        max = indeks_maksimuma(a,n);
		printf( "%f\n",min);
		printf("%f\n",max);
		if(min > max)
			printf("1\n");
		else
			printf("0\n");
	}
	return 0;
		
}

float indeks_minimuma(float a[],int n){
	int i,j;
	float min;
	min=a[0];
	j=0;
	for(i=0;i<n;i++){
		if(a[i]<=min){
			min=a[i];
			j=i;
		}
			
	}	
	return j;
}

float indeks_maksimuma(float a[],int n){
	int i,j;
	float max;
	max=a[0];
	j=0;
	for(i=0;i<n;i++){
		if(a[i]>=max){
			max=a[i];
			j=i;
		}

	}
	return j;
}

